ES | EN

📄 MIPYME Documents

Create a new company branch

POST
URL del endpoint https://api-billing.koywe.com/V1/company_branches
Requiere autenticación

Autenticación

Envía la cabecera Authorization: Bearer <token> (obtenido en POST /auth) en los endpoints protegidos.

Parámetros

Sin parámetros.

Cuerpo de la solicitud — campos

CampoTipoObligatoriedadDescripción
account_idintegerSiempre obligatorioID of the associated account
is_headquartersintegerOpcionalIndicates whether the location is the company's headquarters. If the value is 1, it means this branch is the main office.
branch_typeintegerOpcionalDefines the type of branch. If the value is 1, it is a physical (real) branch. If the value is 2, it is a virtual branch.
namestringSiempre obligatorioName of the company branch.
addressstringOpcionalAddress of the company branch.
districtstringOpcionalDistrict of the company branch.
citystringOpcionalCity of the company branch.
phonestringOpcionalPhone of the company branch.
company_branch_tax_codestringOpcionalTax code assigned to the company branch for fiscal and accounting purposes.
company_branch_internal_codestringOpcionalInternal code assigned to the company branch for identification within the system.
parent_company_branch_idintegerOpcionalID of the parent company branch.

Ejemplo JSON del cuerpo

{
    "account_id": 0,
    "is_headquarters": 0,
    "branch_type": 0,
    "name": "string",
    "address": "string",
    "district": "string",
    "city": "string",
    "phone": "string",
    "company_branch_tax_code": "string",
    "company_branch_internal_code": "string",
    "parent_company_branch_id": 0
}

Respuestas

Company branch successfully generated